WordPress.org

Forums

[resolved] 1.5 to 2.4 Upgrade Problem Help Pls (6 posts)

  1. bdville
    Member
    Posted 8 years ago #

    Hi everyone, I just upgrade my blog 1.5 to 2.4 ... I am getting all kinds of errors. I don't know what to do now. Please help me out. Thanks.

    Upgrade Error # http://i19.photobucket.com/albums/b151/myville/Untitled-1.jpg

    When I select a theme I get this Error Mes #

    http://i19.photobucket.com/albums/b151/myville/Untitled-2.jpg

    During upgrade #

    WordPress database error: [Can't open file: 'wp_comments.MYI' (errno: 144)]
    DESCRIBE wp_comments;

    Warning: Invalid argument supplied for foreach() in /home/myville/public_html/wp-admin/upgrade-functions.php on line 530

    [Moderated: removed errors]

  2. Kafkaesqui

    Posted 8 years ago #

    "errno: 144" is a MySQL error. If you have access to your database through a tool provided by your host (such as phpMyAdmin), you can attempt a repair on the wp_comments table. If not (or the repair fails), contact your host's support and provide them with the info you have here about the error.

  3. bdville
    Member
    Posted 8 years ago #

    Thanks for your help ... I don't know how to repair MySql error. I will contact my web host.

    can pls help me out with the header error. When I select a theme I get that header error message.

    Can I delete my wp installation including datadabae and install wp 2.4 from scratch? Then, upload my old databe to the new one? Thanks.

  4. Kafkaesqui

    Posted 8 years ago #

    "can pls help me out with the header error. When I select a theme I get that header error message."

    Since the 'headers' error originates with wp-db.php (WordPress' database functions script), I suspect it will vanish if the errno issue is dealt with.

    "Can I delete my wp installation including datadabae and install wp 2.4 from scratch? Then, upload my old databe to the new one? Thanks."

    For the first question, certainly -- if you don't have anything in your database you're looking to preserve. In fact you could just drop the tables from your WordPress database and go through a new install (i.e. wp-admin/install.php) without reuploading the files. As for the second, if you're unsure how to repair a database table, how are you planning to import the old one?

    (By the way, 2.0.4 is the current version of WordPress.)

  5. bdville
    Member
    Posted 8 years ago #

    Thanks for your reply .. I just submit a help ticket .. hopefully my web host will fix the problem. I searched on google on how to import a database ... its not that hard. I am watting for a reply from my web host ... lets see what happens. Thank you.

  6. bdville
    Member
    Posted 8 years ago #

    Problem fixed ... I found on gogle how to repair database table ... now its working fine .. Thanks everyone for your kind help.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags